Recent

Author Topic: Cannot rebuild v2.0.0RC2 IDE under macOS 10.14.1 [SOLVED]  (Read 165 times)

carl_caulkett

  • Sr. Member
  • ****
  • Posts: 258
Cannot rebuild v2.0.0RC2 IDE under macOS 10.14.1 [SOLVED]
« on: December 05, 2018, 05:00:41 pm »
macOS 10.14.1 Mojave
Lazarus v2.0.0RC2
FPC 2.0.4

Hello, after a gap of a few months I've just tried to upgrade my copy of Lazarus to v2.0.0RC2. I've just tried to rebuild my IDE, but I'm getting the following message...

Any ideas what the problem might be?

I should point out that I have updated Xcode to Version 10.1 (10B61) in the last couple of days to enable my latest version of Golang to be installed. I would be most displeased if this move meant that Lazarus wouldn't operate properly.
« Last Edit: December 05, 2018, 10:22:46 pm by carl_caulkett »
macOS 10.14.1
Lazarus 2.0.0RC2 Carbon / Lazarus 2.1.0 r59743 Cocoa
FPC 3.0.4

Jonas Maebe

  • Hero Member
  • *****
  • Posts: 587
Re: Cannot rebuild v2.0.0RC2 IDE under macOS 10.14.1 [SOLVED]
« Reply #1 on: December 05, 2018, 10:31:52 pm »
You need to upgrade to FPC 3.0.4a.

carl_caulkett

  • Sr. Member
  • ****
  • Posts: 258
Re: Cannot rebuild v2.0.0RC2 IDE under macOS 10.14.1 [SOLVED]
« Reply #2 on: December 05, 2018, 10:36:17 pm »
I sorted out the problem by a series of steps...

1. I uninstalled Xcode completely.
2. I reinstalled Xcode from the AppStore
3. I ran `sudo ln -s /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/lib/crt1.10.5.o  /usr/lib/crt1.10.5.o` from the command line.
4. I ran `sudo ln -s /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/lib/crt1.o  /usr/lib/crt1.o` from the command line.
5. I used `fpc hello.pas` where `hello.pas` contained just
Code: Pascal  [Select]
  1. begin
  2.   writeln('hello');
  3. end.
  4.  
to confirm that steps 3 and 4 worked.
6. I rebuilt the IDE using `Tools -> Build Lazarus with Profile: Normal IDE`
7. Breathed huge sigh of relief when all of my previous installed packages and IDE changes were restored!

Big thanks to @laguna who provided the forum post which provided step 3 and from which I was able to suss out step 4.
macOS 10.14.1
Lazarus 2.0.0RC2 Carbon / Lazarus 2.1.0 r59743 Cocoa
FPC 3.0.4

carl_caulkett

  • Sr. Member
  • ****
  • Posts: 258
Re: Cannot rebuild v2.0.0RC2 IDE under macOS 10.14.1 [SOLVED]
« Reply #3 on: December 05, 2018, 10:38:38 pm »
You need to upgrade to FPC 3.0.4a.

Interesting. Would that remove the need for the steps that I described in my previous post?
macOS 10.14.1
Lazarus 2.0.0RC2 Carbon / Lazarus 2.1.0 r59743 Cocoa
FPC 3.0.4

Jonas Maebe

  • Hero Member
  • *****
  • Posts: 587
Re: Cannot rebuild v2.0.0RC2 IDE under macOS 10.14.1 [SOLVED]
« Reply #4 on: December 05, 2018, 10:42:22 pm »
You need to upgrade to FPC 3.0.4a.

Interesting. Would that remove the need for the steps that I described in my previous post?
Yes.

carl_caulkett

  • Sr. Member
  • ****
  • Posts: 258
Re: Cannot rebuild v2.0.0RC2 IDE under macOS 10.14.1 [SOLVED]
« Reply #5 on: December 06, 2018, 12:17:53 am »
You need to upgrade to FPC 3.0.4a.

Interesting. Would that remove the need for the steps that I described in my previous post?
Yes.

I'm assuming the download of FPC at https://sourceforge.net/projects/lazarus/files/Lazarus%20Mac%20OS%20X%20i386/Lazarus%202.0RC2/ is the one to go for, though there's nothing to indicate that it's 3.0.4a as opposed to plain old 3.0.4...
macOS 10.14.1
Lazarus 2.0.0RC2 Carbon / Lazarus 2.1.0 r59743 Cocoa
FPC 3.0.4